<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: Manager&lt; T &gt; Class Template Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Manager&lt; T &gt; Class Template Reference</h1><!-- doxytag: class="Manager" --><a class="el" href="classManager.html" title="Manager template.">Manager</a> template.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="manager_8h-source.html">manager.h</a>&gt;</code>
<p>

<p>
<a href="classManager-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classManager.html#18fae41f0e313921265b84b5355ac733">Manager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classManager.html#77af246cf7427cd596dd19d9b1341272">Manager</a> (const T t)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classManager.html#6d58ffd84e1f297e8776df6ca07e61b4">operator T</a> () const </td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classManager.html#2786293ded3430b5f57166c56eda9fec">isOwner</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classManager.html#a7309822f83dcce094f4d576b02dd62d">release</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classManager.html#87957ca167ec720db8b9bc88fc83c9e4">_t</a></td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classManager.html#41e4c8f7f6577b9221b5cf1bb5e4b496">_isOwner</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;class T&gt;<br>
 class Manager&lt; T &gt;</h3>

<a class="el" href="classManager.html" title="Manager template.">Manager</a> template. 
<p>
Make underlying types exception-safe. <hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="18fae41f0e313921265b84b5355ac733"></a><!-- doxytag: member="Manager::Manager" ref="18fae41f0e313921265b84b5355ac733" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classManager.html">Manager</a>&lt; T &gt;::<a class="el" href="classManager.html">Manager</a>           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="77af246cf7427cd596dd19d9b1341272"></a><!-- doxytag: member="Manager::Manager" ref="77af246cf7427cd596dd19d9b1341272" args="(const T t)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classManager.html">Manager</a>&lt; T &gt;::<a class="el" href="classManager.html">Manager</a>           </td>
          <td>(</td>
          <td class="paramtype">const T&nbsp;</td>
          <td class="paramname"> <em>t</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="6d58ffd84e1f297e8776df6ca07e61b4"></a><!-- doxytag: member="Manager::operator T" ref="6d58ffd84e1f297e8776df6ca07e61b4" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classManager.html">Manager</a>&lt; T &gt;::operator T           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2786293ded3430b5f57166c56eda9fec"></a><!-- doxytag: member="Manager::isOwner" ref="2786293ded3430b5f57166c56eda9fec" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classManager.html">Manager</a>&lt; T &gt;::isOwner           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inline, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a7309822f83dcce094f4d576b02dd62d"></a><!-- doxytag: member="Manager::release" ref="a7309822f83dcce094f4d576b02dd62d" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classManager.html">Manager</a>&lt; T &gt;::release           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="87957ca167ec720db8b9bc88fc83c9e4"></a><!-- doxytag: member="Manager::_t" ref="87957ca167ec720db8b9bc88fc83c9e4" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classManager.html">Manager</a>&lt; T &gt;::<a class="el" href="classManager.html#87957ca167ec720db8b9bc88fc83c9e4">_t</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="41e4c8f7f6577b9221b5cf1bb5e4b496"></a><!-- doxytag: member="Manager::_isOwner" ref="41e4c8f7f6577b9221b5cf1bb5e4b496" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classManager.html">Manager</a>&lt; T &gt;::<a class="el" href="classManager.html#41e4c8f7f6577b9221b5cf1bb5e4b496">_isOwner</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="manager_8h-source.html">manager.h</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
